aboutsummaryrefslogtreecommitdiffstats
path: root/install
diff options
context:
space:
mode:
Diffstat (limited to 'install')
-rwxr-xr-xinstall14
1 files changed, 14 insertions, 0 deletions
diff --git a/install b/install
new file mode 100755
index 0000000..ccfb7a0
--- /dev/null
+++ b/install
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+if ! [ $(id -u) -eq 0 ]; then
+ echo "root required" >&2
+ exit 1
+fi
+
+mkdir /rw/config/qubes-vpn-exclude
+cp -a *.d generate-dnsmasq.sh rc.local-hook /rw/config/qubes-vpn-exclude
+
+chmod +x /rw/config/qubes-vpn-exclude/generate-dnsmasq.sh
+chmod +x /rw/config/qubes-vpn-exclude/qubes-firewall.d/95-qubes-vpn-exclude

Code dump for some of my projects as well as a mirror for other random or interesting projects. You can find my site at jimmy.axenhus.com